<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CarShowCategory extends Model
{
  protected $table = 'car_show_categories';
  protected static ?string $recordTitleAttribute = 'category_name';

  protected $casts = [
    'vehicle_type' => 'boolean',
  ];

  protected $fillable = [
  'category_name',
  'vehicle_type'
  ];

  protected $dates = [
  'created_at',
  'updated_at'
  ];
 
  public function vehicle()
  {
      return $this->hasMany(Vehicles::class, 'type');
  }
  public function showWinner()
  {
      return $this->hasMany(CarShowWinner::class, 'category');
  }
}
